﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Clock : MonoBehaviour
{
    [SerializeField]
    private Transform handle;

    [SerializeField]
    private Vector2 rotations = new Vector2(0, -236.5f);
    
    [SerializeField]
    private float totalTime = 180.0f;
    private float time = 0;
    
    private float increment;

    public void StartGame()
    {
          SetTotalTime(totalTime);  
    }

    public void SetTotalTime(float time)
    {
        this.time = time;
        increment = (rotations.y-rotations.x) / time;
    }

   public void IncrementTime()
   {
       time -= Time.deltaTime;
       if(time > 0)
       {
           handle.Rotate(new Vector3(0, 0,increment*Time.deltaTime), 
                        Space.Self);
       }
       else
       {
           GameController.instance.EndGame();
       }
   }

   public void Update()
   {
       if(GameController.instance.HasStarted)
        IncrementTime();
   }
}
