﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GivePlayerItem : MonoBehaviour
{
    [SerializeField]
    private Transform itemPrefab;

    protected void OnTriggerEnter2D(Collider2D other)
    {
        Hand hand = other.GetComponent<Hand>();

        OnHandGrab(hand);
    }

    protected virtual void OnHandGrab(Hand hand)
    {        
        if(hand == null)
        {
            return;
        }

        if(itemPrefab != null)
        {
            hand.Take(itemPrefab);
            itemPrefab = null; // only one per box
        }
    }
}
