﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Hand : MonoBehaviour
{
    [SerializeField]
    private Transform anchor;

    private Transform holding;

    public void Take(Transform objectTransform)
    {
        if(holding != null)
        {
            return;
        }

        holding = Instantiate(objectTransform,
                            anchor.transform.position, 
                            Quaternion.identity,anchor);
        holding.transform.up = anchor.localToWorldMatrix*(-(Vector3)Vector2.right);
    }

    public void LetGo(bool destroy = true)
    {
        if(holding != null)
        {
            if(destroy)
                Destroy(holding.gameObject);
            holding = null;
        }
    }
}
