﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnPlatforms : MonoBehaviour
{
    [SerializeField]
    private Transform prefab;
    
    [SerializeField]
    private float spawnCooldown = 3;

    [SerializeField]
    private Vector2 MoveSpeed = new Vector2(0,0.05f);

    private float elapsed = 0;
    // Update is called once per frame
    void Update()
    {
        if(!GameController.instance.HasStarted)
        {
            return;
        }
        elapsed -=Time.deltaTime;
        if(elapsed <= 0)
        {
            GameObject ob = Instantiate(prefab,transform.position,transform.rotation).gameObject;
            ob.transform.localScale = this.transform.localScale;
            elapsed = spawnCooldown;
            Move[] moves = ob.GetComponentsInChildren<Move>(true);
            foreach(Move move in moves)
            {
                move.speed = MoveSpeed;
            }
        }
    }
}
