﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Target : MonoBehaviour
{
    public bool isDown = false;
    public bool IsReady => isDown;

    public bool isPlanted = false;

    [SerializeField]
    private float offset;
    
    [SerializeField]
    private bool isNail = false;
    public bool IsNail => isNail;

    public bool IsPlanted => isPlanted;
    
    private void OnTriggerEnter2D(Collider2D other)
    {
        isDown = true;
    }

    private void OnTriggerExit2D(Collider2D other)
    {
        isDown = false;
    }

    public void Plant()
    {
        if(isPlanted || !isDown)
        {
            return;
        }

        Hand hand = transform.GetComponentInParent<Hand>();
        hand.LetGo(false);
        transform.parent.parent = null;
        isPlanted = true;
        GameController.instance.Planted(isNail);
    }
}
